
import java.awt.Color;
import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class PanelTraductor extends JPanel implements
        ActionListener, MouseListener {

    private Traductor traductor;

    private JLabel etiqueta;
    private JTextField campo;
    private JButton boton;
    private JButton botonCambioIdioma;
    private JLabel etiquetaIdioma;

    private Color colorAnterior;

    public PanelTraductor(Traductor traductor) {

        this.traductor = traductor;

        etiqueta = new JLabel("Pulsa el boton para traducir");
        campo = new JTextField(20);
        boton = new JButton("Traducir");
        botonCambioIdioma = new JButton(
                "Invierte sentido traduccin");
        etiquetaIdioma = new JLabel();

        this.muestraSentidoTraduccion();

        boton.addActionListener(this);
        campo.addActionListener(this);
        botonCambioIdioma.addActionListener(this);

        etiqueta.addMouseListener(this);
        campo.addMouseListener(this);
        boton.addMouseListener(this);
        botonCambioIdioma.addMouseListener(this);
        etiquetaIdioma.addMouseListener(this);

        this.add(campo);
        this.add(boton);
        this.add(etiqueta);
        this.add(botonCambioIdioma);
        this.add(etiquetaIdioma);

    }

    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == botonCambioIdioma) {
            traductor.invierteIdioma();
            this.muestraSentidoTraduccion();
        } else {
            etiqueta.setText(traductor.traducePalabra(campo
                    .getText()));
        }
    }

    private void muestraSentidoTraduccion() {
        etiquetaIdioma.setText(Traductor
                .getCadenaIdioma(traductor.getIdiomaOrigen())
                + " - "
                + Traductor.getCadenaIdioma(traductor
                        .getIdiomaDestino()));
    }

    public void mouseClicked(MouseEvent e) {
    }

    public void mouseReleased(MouseEvent e) {
    }

    public void mousePressed(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
        Component component = e.getComponent();
        component.setForeground(colorAnterior);
    }

    public void mouseEntered(MouseEvent e) {
        Component component = e.getComponent();
        colorAnterior = component.getForeground();
        component.setForeground(java.awt.Color.BLUE);
    }

}