import javax.swing.*;
import java.awt.event.*;

// La clase ya no implementa el interfaz ActionListener
public class Conversor  {

  private JLabel etiqueta1;
  private JTextField campoDeTexto;
  private JButton boton;
  private JLabel etiqueta2;

  public Conversor() {

    //*********************************************
    //   CREACIN DEL INTERFAZ GRFICO
    //*********************************************

    // Crear la ventana de la aplicacion
    JFrame ventana = new JFrame("Conversor de Euros a pesetas");
    ventana.setSize(300, 200);
    ventana.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    // Crear los componentes
    etiqueta1 = new JLabel("Importe en Euros");
    campoDeTexto = new JTextField(20);
    boton = new JButton("Convertir");
    etiqueta2 = new JLabel("Pulse para obtener el" +
                           "importe en pesetas");

    // Crear un contenedor
    JPanel panelDeContenido = new JPanel();

    // Configurar el contenedor para mostrar los componentes cuando
    // se muestre.
    panelDeContenido.add(etiqueta1);
    panelDeContenido.add(campoDeTexto);
    panelDeContenido.add(boton);
    panelDeContenido.add(etiqueta2);

    // Configurar la ventana para mostrar el panel cuando se muestre
    ventana.setContentPane(panelDeContenido);

    //**************************************************
    //   ASOCIACIN DEL CDIGO DE MANEJO DE EVENTOS
    //**************************************************
    ActionListener gestorEventos = new ActionListener() {
     public void actionPerformed(ActionEvent e) {
        convierte();
      }
    };

    boton.addActionListener(gestorEventos);
    ventana.setVisible(true);
  }
  public void convierte(){
      try {
         double euros = Double.parseDouble(campoDeTexto.getText());
         double pesetas = euros * 166.386;
         etiqueta2.setText("Equivale a " + pesetas + " pesetas");
       }
       catch (NumberFormatException e2) {
         etiqueta2.setText("En el campo de texto no hay un nmero");
       }
  } 

  public static void main(String[] args) {
    new Conversor();
  }
}
