import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

public class EjemploTareaLarga2 {

    JLabel etiqueta = new JLabel("No ha comenzado la tarea");

    public static void main(String[] args) {
        new EjemploTareaLarga2();
    }

    public EjemploTareaLarga2() {

        JFrame ventana = new JFrame("Ejemplo Tarea Larga 1");
        ventana.setSize(300, 200);
        ventana.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        JButton boton = new JButton("Botn");
        boton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                botonPulsado();
            }
        });

        JPanel panelDeContenido = new JPanel();
        ventana.setContentPane(panelDeContenido);

        panelDeContenido.add(boton);
        panelDeContenido.add(etiqueta);

        ventana.setVisible(true);
    }

    protected void botonPulsado() {
        etiqueta.setText("Ha comenzado la tarea");

        new Thread() {
            public void run() {
                ejecutaTareaLarga();
                SwingUtilities.invokeLater(new Runnable() {
                    public void run() {
                        etiqueta.setText("Ha finalizado la tarea");
                    }
                });
            }
        }.start();
    }

    private void ejecutaTareaLarga() {
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
        }
    }
}
